import { ApticCatalog } from './aptic-catalog.schema';

export class ApticStructure {
  id: string;

  name: string;

  phone: string;

  website: string;

  address: {
    main: string;
    extra: string;
    zip: string;
    city: string;
    gpsLat: number;
    gpsLng: number;
    department: string;
    departmentCode: string;
    region: string;
    regionCode: string;
  };

  organization: {
    id: string;
    name: string;
    type: string;
    legalStatus: string;
  };

  catalogs: string[];

  services: ApticCatalog[];

  serviceCount: number;
}
