import { Controller, Get } from '@nestjs/common';
import { StructureType } from './structure-type.schema';
import { StructureTypeService } from './structure-type.service';

@Controller('structure-type')
export class StructureTypeController {
  constructor(private readonly structureTypeService: StructureTypeService) {}

  @Get()
  public async findAll(): Promise<StructureType[]> {
    return this.structureTypeService.findAll();
  }
}
