import { IsNotEmpty, IsString } from 'class-validator';
import { ApiProperty } from '@nestjs/swagger';

export class PasswordChangeDto {
  @ApiProperty({ type: String })
  @IsNotEmpty()
  @IsString()
  readonly newPassword: string;

  @ApiProperty({ type: String })
  @IsNotEmpty()
  @IsString()
  readonly oldPassword: string;
}
