import { ApiProperty } from '@nestjs/swagger';
import { IsNotEmpty, IsString } from 'class-validator';

export class UnclaimedStructureDto {
  @IsNotEmpty()
  @IsString()
  @ApiProperty({ type: String })
  readonly structureId: string;

  @IsNotEmpty()
  @IsString()
  @ApiProperty({ type: String })
  structureName: string;
}
