import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { Document } from 'mongoose';
import { CategoriesModule } from '../categories.module';

export type CategoriesOthersDocument = CategoriesOthers & Document;

@Schema()
export class CategoriesOthers {
  @Prop()
  name: string;

  @Prop()
  modules: CategoriesModule[];

  @Prop()
  id: string;
}

export const CategoriesOthersSchema = SchemaFactory.createForClass(CategoriesOthers);
