import { Body, Controller, Post } from '@nestjs/common';
import { ContactMessage } from './schemas/contact-message.schema';
import { ContactService } from './contact.service';

@Controller('contact')
export class ContactController {
  constructor(private contactService: ContactService) {}

  @Post('message')
  public async sendContactMessage(@Body() data: { contactMessage: ContactMessage }): Promise<any> {
    await this.contactService.sendMessage(data.contactMessage);
  }
}
