import { Type } from 'class-transformer';
import { IsNotEmpty, ValidateNested } from 'class-validator';
import { structureDto } from './structure.dto';

export class CreateStructureDto {
  @ValidateNested({ each: true })
  @Type(() => structureDto)
  structure: structureDto;

  @IsNotEmpty()
  idUser: string;
}
