import { HttpModule, Module } from '@nestjs/common';
import { TclStopPointService } from './tclStopPoint.service';
import { TclStopPointController } from './tclStopPoint.controller';
import { MongooseModule } from '@nestjs/mongoose';
import { TclStopPoint, TclStopPointSchema } from './tclStopPoint.schema';

@Module({
  imports: [MongooseModule.forFeature([{ name: TclStopPoint.name, schema: TclStopPointSchema }]), HttpModule],
  providers: [TclStopPointService],
  controllers: [TclStopPointController],
})
export class TclModule {}
