import { IsNotEmpty, IsString } from 'class-validator';
import { ApiProperty } from '@nestjs/swagger';

export class PasswordResetApplyDto {
  @ApiProperty({ type: String })
  @IsNotEmpty()
  @IsString()
  readonly password: string;
  @ApiProperty({ type: String })
  @IsNotEmpty()
  @IsString()
  readonly token: string;
}
